Package com.google.android.exoplayer2.drm

## Class ExoMediaDrm.KeyStatus

- java.lang.Object
- - com.google.android.exoplayer2.drm.ExoMediaDrm.KeyStatus

- Enclosing interface:
    ExoMediaDrm

      public static final class ExoMediaDrm.KeyStatus
      extends Object

  Defines the status of a key.
  See Also:
    `MediaDrm.KeyStatus`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyStatus​(int statusCode, byte[] keyId)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getKeyId()` | Returns the ID of the key.
    `int` | `getStatusCode()` | Returns the status of the key, as defined by `MediaDrm.KeyStatus.getStatusCode()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStatus

          public KeyStatus​(int statusCode,
                           byte[] keyId)

      Creates an instance.
      Parameters:
        `statusCode` - The status code of the key, as defined by `MediaDrm.KeyStatus.getStatusCode()`.
        `keyId` - The ID of the key.

  - ### Method Detail

    - #### getStatusCode

          public int getStatusCode()

      Returns the status of the key, as defined by `MediaDrm.KeyStatus.getStatusCode()`.

    - #### getKeyId

          public byte[] getKeyId()

      Returns the ID of the key.